## org.apache.lucene.queryParser.standard.config
Enum DefaultOperatorAttribute.Operator

    java.lang.Object
      java.lang.Enum<DefaultOperatorAttribute.Operator>
          org.apache.lucene.queryParser.standard.config.DefaultOperatorAttribute.Operator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DefaultOperatorAttribute.Operator>

Enclosing interface:
  DefaultOperatorAttribute

    public static enum DefaultOperatorAttribute.Operator

extends java.lang.Enum<DefaultOperatorAttribute.Operator>

Enum Constant Summary
`AND`
`OR`

Method Summary
`static DefaultOperatorAttribute.Operator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DefaultOperatorAttribute.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final DefaultOperatorAttribute.Operator AND

### OR

    public static final DefaultOperatorAttribute.Operator OR

Method Detail

### values

    public static DefaultOperatorAttribute.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DefaultOperatorAttribute.Operator c : DefaultOperatorAttribute.Operator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DefaultOperatorAttribute.Operator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.